Replace connection
curl --request POST \
--url https://api.engini.io/v1/connections/Replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowId": 123,
"originalConnectionId": 123,
"newConnectionId": 123
}
'import requests
url = "https://api.engini.io/v1/connections/Replace"
payload = {
"workflowId": 123,
"originalConnectionId": 123,
"newConnectionId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflowId: 123, originalConnectionId: 123, newConnectionId: 123})
};
fetch('https://api.engini.io/v1/connections/Replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"path": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Connections
Replace connection
Replace one connection with another across the caller’s usages.
POST
/
v1
/
connections
/
Replace
Replace connection
Authorizations
BearerApiKey
Enter your JWT token
Body
application/json
The replacement payload identifying the source and target connections.
Request body for replacing a connection used by a workflow.
Response
An empty success response when the replacement completes.
The response is of type file.
⌘I